Resent-Date: Wed, 3 Feb 1999 10:15:15 +0100 (MET)
Sender: richard@blackcurrant.net-tel.co.uk
Date: Wed, 03 Feb 1999 09:13:11 +0000
From: Richard Hirst <richard.hirst@net-tel.co.uk>
Reply-To: richard@sleepie.demon.co.uk
To: linux-m68k <linux-m68k@lists.linux-m68k.org>
Subject: 2.2.0pre7 head.S fixes
Resent-From: linux-m68k@phil.uni-sb.de

This is a multi-part message in MIME format.
--------------B2E715733B92ECD3DE91CAC7
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit

Sorry about the format of this message if it is strange, I sent
with Netscape from work.

It fixes a couple of problems with mmu_map_tt, that probably only
effect MAC and VME (another call to mmu_map_tt was removed by a
patch from Roman Z earlier).  Note the '030 VME board I am working
with at the moment booted fine with pre4; after these fixes it
gets as far as initialising the scsi driver before dying - I'll
investigate that tonight.

Richard.
--------------B2E715733B92ECD3DE91CAC7
Content-Type: text/plain; charset=us-ascii; name="richard-head.S.diff"
Content-Transfer-Encoding: 7bit
Content-Disposition: inline; filename="richard-head.S.diff"

--- arch/m68k/kernel/head.S-	Wed Feb  3 09:00:01 1999
+++ arch/m68k/kernel/head.S	Wed Feb  3 09:01:15 1999
@@ -965,7 +965,7 @@
 	 * 0xffe00000->0xffe1ffff.
 	 */
 
-	mmu_map_tt	1,#0xe0000000,#0x20000000,#_PAGE_NOCACHE_S
+	mmu_map_tt	#1,#0xe0000000,#0x20000000,#_PAGE_NOCACHE_S
 
 	jbra	L(mmu_init_done)
 
@@ -985,7 +985,7 @@
 	 * clash with User code virtual address space.
 	 */
 
-	mmu_map_tt	1,#0xe0000000,#0x20000000,#_PAGE_NOCACHE_S
+	mmu_map_tt	#1,#0xe0000000,#0x20000000,#_PAGE_NOCACHE_S
 
 	jbra	L(mmu_init_done)
 
@@ -1052,7 +1052,7 @@
 	mmu_map_eq	#0x50000000,#0x02000000,%d3
 	mmu_map_eq	#0x60000000,#0x00400000,%d3
 	mmu_map_eq	#0x9c000000,#0x00400000,%d3
-	mmu_map_tt	1,#0xf8000000,#0x08000000,%d3
+	mmu_map_tt	#1,#0xf8000000,#0x08000000,%d3
 
 	jbra	L(mmu_init_done)
 
@@ -1780,7 +1780,7 @@
 	/* Extract the highest bit set
 	 */
 	bfffo	ARG3{#0,#32},%d1
-	cmpw	#8,%d0
+	cmpw	#8,%d1
 	jcc	L(do_map)
 
 	/* And get the mask

--------------B2E715733B92ECD3DE91CAC7--

